* {
  margin: 0;
  padding: 0;
  font-family: "Roboto", sans-serif;
  box-sizing: border-box;
}

.wrapper {
  width: 100%;
  min-height: 100vh;
  background: linear-gradient(#0f0c29, #302b63, #24243e);
  display: flex;
}

li {
  list-style: none;
}

.active {
  text-decoration: line-through;
}

/* для Chrome/Edge/Safari */
*::-webkit-scrollbar {
  width: 10px;
  height: 10px;
}

.todo__main {
  overflow-y: scroll;
  height: 450px;
}

.todo-app {
  position: relative;
  width: 100%;
  max-width: 540px;
  height: 650px;

  align-self: center;
  margin: 0 auto;

  background: rgb(250, 250, 250, 0.3);
  border-radius: 5px;
  padding: 40px;

  padding: 10px 40px 40px 40px;
}

.todo__title {
  margin-bottom: 30px;
  display: flex;
  justify-content: center;
  font-size: 28px;
  color: #002765;
}

.todo__create-task {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: #edeef0;
  gap: 20px;
  margin-bottom: 30px;
  border-radius: 20px;
}

input {
  flex: 1;
  padding: 10px;
  outline: none;
  border: none;
  font-weight: 14px;
  background: transparent;
}

.btn {
  border: none;
  outline: none;
  color: white;
  cursor: pointer;
}

.todo__tasks-list {
  margin-bottom: 20px;
  font-size: 17px;
  display: flex;
  gap: 15px;
}

.todo__all-tasks {
  padding: 3px 10px;
  background: rgb(236, 236, 213);
  color: rgb(139, 139, 104);
  border-radius: 20px;
}

.todo__unfinished-tasks {
  padding: 3px 10px;
  background: rgb(240, 203, 199);
  color: #ff5945;
  border-radius: 20px;
}

.todo__completed-tasks{
  padding: 3px 10px;
  background: rgb(197, 238, 197);
  color: green;
  border-radius: 20px;
}

.todo-list__item {
  display: flex;
  justify-content: space-between;
  align-items: center;

  padding: 12px 8px;
  height: 40px;
  border-radius: 2px;
  font-size: 17px;
  cursor: pointer;
  background: rgb(250, 250, 250, 0.2);
}

.todo-list__item:not(:last-child) {
  margin-bottom: 15px;
}

.todo-list__item p {
  display: flex;
  flex-wrap: wrap;
  width: 350px;
  padding-right: 10px;
}

.btn__add {
  background: #ff5945;
  border-radius: 30px;
  font-size: 16px;
  padding: 10px 5px;
  width: 100px;
}

.todo-list__item:hover {
  background: rgb(250, 250, 250, 0.2);
}

/* modal */
.modal {
  display: none;
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  overflow: hidden;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  z-index: 99;
  padding: 30px 0;
  background: rgba(0, 0, 0, 0.6);
}

.modal_active {
  display: block;
}

.modal__wrap {
  flex-shrink: 0;
  flex-grow: 0;
  width: 100%;
  min-height: 100%;
  margin: auto;
  display: flex;
  flex-flow: column nowrap;
  align-items: center;
  justify-content: center;
}

.modal__inner {
  width: 100%;
  max-width: 500px;
  min-height: 100px;
  border-radius: 4px;
  position: relative;
  border: none;
  background: #fff;
  font-weight: 300;
  padding: 16px;
}

.modal__close {
  position: absolute;
  top: 0;
  right: 0;
  width: 3em;
  height: 3em;
  background: none;
  border: none;
  cursor: pointer;
  outline: none;
}

.modal__edit-post {
  margin-top: 25px;
}